#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_without	tests	# unit tests
#
Summary:	PyICU - Python 2 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 2 obudowujące API C++ biblioteki ICU firmy IBM
Name:		python-pyicu
Version:	2.15.2
Release:	1
License:	MIT-like
Group:		Development/Languages/Python
#Source0Download: https://pypi.org/simple/PyICU/
Source0:	https://files.pythonhosted.org/packages/source/p/pyicu/pyicu-%{version}.tar.gz
# Source0-md5:	4d235f2ab7d117a0d2fcaae138399645
URL:		https://pypi.org/project/PyICU/
BuildRequires:	libicu-devel >= 59
BuildRequires:	libstdc++-devel >= 6:4.7
%if %{with python2}
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
BuildRequires:	python-setuptools
%endif
%if %{with python3}
#BuildRequires:	python3-2to3 >= 1:3.2
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-six
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 2 module.

%description -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 2.

%package -n python3-pyicu
Summary:	PyICU - Python 3 extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona 3 obudowujące API C++ biblioteki ICU firmy IBM
Group:		Development/Languages/Python

%description -n python3-pyicu
PyICU is a Python extension wrapping IBM's ICU C++ API.

This package contains Python 3 module.

%description -n python3-pyicu -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

Ten pakiet zawiera moduł Pythona 3.

%prep
%setup -q -n pyicu-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build

# tests to be 2to3'ed (by setup) and module already built
%{?with_tests:PYTHONPATH=$(pwd)/$(echo build-3/lib.*) %{__python3} -m unittest discover -s test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%dir %{py_sitedir}/icu
%{py_sitedir}/icu/__init__.py[co]
%attr(755,root,root) %{py_sitedir}/icu/_icu_.so
%{py_sitedir}/pyicu-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-pyicu
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README.md
%dir %{py3_sitedir}/icu
%{py3_sitedir}/icu/__init__.py
%{py3_sitedir}/icu/__pycache__
%attr(755,root,root) %{py3_sitedir}/icu/_icu_.cpython-*.so
%{py3_sitedir}/pyicu-%{version}-py*.egg-info
%endif
%changelog
* Fri Jun 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pyicu.git;a=log;h=master

* Sat Jun 07 2025 Jan Rękorajski <baggins@pld-linux.org> decf0b7
- remove references to deleted patch

* Sat Jun 07 2025 Jan Rękorajski <baggins@pld-linux.org> 5f3efc1
- up to 2.15.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 1e5b2f0
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 5d036d4
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> 559e978
- use patch -P

* Mon Jan 20 2025 Jan Palus <atler@pld-linux.org> d5fca2d
- tests appear to support python3 only

* Sun Jan 19 2025 Jan Palus <atler@pld-linux.org> 97cebe2
- BR: python-setuptools python3-setuptools

* Sun Jan 19 2025 Jan Palus <atler@pld-linux.org> 7a190a4
- up to 2.14

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> ef617b0
- icu rebuild

* Sun Feb 19 2023 Jan Palus <atler@pld-linux.org> 7cd6351
- up to 2.10.2

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> f6b52e2
- icu rebuild

* Sat May 21 2022 Jan Rękorajski <baggins@pld-linux.org> ee0d80b
- up to 2.9

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 636c0e7
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e33335d
- rebuild with python 3.10

* Wed Jan 19 2022 Jan Palus <atler@pld-linux.org> 65afc63
- up to 2.8

* Mon Aug 16 2021 Jan Palus <atler@pld-linux.org> 2979367
- up to 2.7.4

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 1908c3f
- release 5 (by relup.sh)

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 81ee821
- icu 67 rebuild
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 1835609
- tests BR: python-six

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 1795eab
- rebuild with python 3.8
- release 3 (by relup.sh)

